> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Pending Decision Action Request

> Returns action requests awaiting the caller decision via ActionRequestService.getAllActionRequestPendingApproval.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-all-pending-decision-action-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-all-pending-decision-action-request:
    get:
      operationId: getAllPendingDecisionActionRequest
      summary: Get All Pending Decision Action Request
      description: >-
        Returns action requests awaiting the caller decision via
        ActionRequestService.getAllActionRequestPendingApproval.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAllPendingDecisionActionRequestResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllPendingDecisionActionRequestResponse:
      type: object
      properties:
        pendingDecisionactionRequests:
          type: array
          items:
            type: object
            properties:
              actionRequestID:
                type: string
              type:
                type: string
              orgID:
                type: string
              createdByID:
                type: string
              status:
                type: string
              identifier:
                type: string
              payload: {}
              createdAt:
                type: string
              updatedAt:
                type: string
              approverID:
                type:
                  - string
                  - 'null'
              approverType:
                type: string
              isClosed:
                type: boolean
            required:
              - actionRequestID
              - type
              - orgID
              - createdByID
              - status
              - identifier
              - payload
              - createdAt
              - updatedAt
              - approverID
              - approverType
              - isClosed
      required:
        - pendingDecisionactionRequests
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
